<?xml version="1.0" encoding="UTF_8"?>
    <StaticCap>
        <tag key="CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value>34</value>
            <value>4352</value>
            <value>2464</value>
            <value>0</value>
            <value>34</value>
            <value>4352</value>
            <value>2464</value>
            <value>1</value>
            <value>35</value>
            <value>4352</value>
            <value>2464</value>
            <value>0</value>
            <value>35</value>
            <value>4352</value>
            <value>2464</value>
            <value>1</value>
            <value>33</value>
            <value>4352</value>
            <value>2464</value>
            <value>0</value>

            <value>34</value>
            <value>4352</value>
            <value>1968</value>
            <value>0</value>
            <value>34</value>
            <value>4352</value>
            <value>1968</value>
            <value>1</value>
            <value>35</value>
            <value>4352</value>
            <value>1968</value>
            <value>0</value>
            <value>35</value>
            <value>4352</value>
            <value>1968</value>
            <value>1</value>
            <value>33</value>
            <value>4352</value>
            <value>1968</value>
            <value>0</value>

            <value>34</value>
            <value>4352</value>
            <value>1872</value>
            <value>0</value>
            <value>34</value>
            <value>4352</value>
            <value>1872</value>
            <value>1</value>
            <value>35</value>
            <value>4352</value>
            <value>1872</value>
            <value>0</value>
            <value>35</value>
            <value>4352</value>
            <value>1872</value>
            <value>1</value>
            <value>33</value>
            <value>4352</value>
            <value>1872</value>
            <value>0</value>

            <value>34</value>
            <value>4000</value>
            <value>3000</value>
            <value>0</value>
            <value>34</value>
            <value>4000</value>
            <value>3000</value>
            <value>1</value>
            <value>35</value>
            <value>4000</value>
            <value>3000</value>
            <value>0</value>
            <value>35</value>
            <value>4000</value>
            <value>3000</value>
            <value>1</value>
            <value>33</value>
            <value>4000</value>
            <value>3000</value>
            <value>0</value>
            <value>32</value>
            <value>4000</value>
            <value>3000</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>

            <value>34</value>
            <value>4000</value>
            <value>1808</value>
            <value>0</value>
            <value>34</value>
            <value>4000</value>
            <value>1808</value>
            <value>1</value>
            <value>35</value>
            <value>4000</value>
            <value>1808</value>
            <value>0</value>
            <value>35</value>
            <value>4000</value>
            <value>1808</value>
            <value>1</value>
            <value>33</value>
            <value>4000</value>
            <value>1808</value>
            <value>0</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>

            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>
            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>1</value>
            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>
            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>1</value>
            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>0</value>

            <value>34</value>
            <value>3000</value>
            <value>3000</value>
            <value>0</value>
            <value>34</value>
            <value>3000</value>
            <value>3000</value>
            <value>1</value>
            <value>35</value>
            <value>3000</value>
            <value>3000</value>
            <value>0</value>
            <value>35</value>
            <value>3000</value>
            <value>3000</value>
            <value>1</value>
            <value>33</value>
            <value>3000</value>
            <value>3000</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>
            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>1</value>
            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>1</value>
            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>0</value>

            <value>34</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>
            <value>35</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>
            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>
            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>0</value>

            <value>34</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>
            <value>35</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>
            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>0</value>

            <value>34</value>
            <value>2388</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2388</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2388</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>
            <value>35</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>
            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>0</value>

            <value>34</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>
            <value>35</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>
            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2332</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2332</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2332</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2328</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2328</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2328</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>

            <value>34</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1300</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1300</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1300</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>
            <value>35</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>
            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>0</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>

            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_MIN_FRAME_DURATIONS" type="int64_t">
            <value>34</value>
            <value>4352</value>
            <value>2464</value>
            <value>33333333</value>

            <value>35</value>
            <value>4352</value>
            <value>2464</value>
            <value>33333333</value>

            <value>33</value>
            <value>4352</value>
            <value>2464</value>
            <value>33333333</value>

            <value>34</value>
            <value>4352</value>
            <value>1968</value>
            <value>33333333</value>

            <value>35</value>
            <value>4352</value>
            <value>1968</value>
            <value>33333333</value>

            <value>33</value>
            <value>4352</value>
            <value>1968</value>
            <value>33333333</value>

            <value>34</value>
            <value>4352</value>
            <value>1872</value>
            <value>33333333</value>

            <value>35</value>
            <value>4352</value>
            <value>1872</value>
            <value>33333333</value>

            <value>33</value>
            <value>4352</value>
            <value>1872</value>
            <value>33333333</value>

            <value>34</value>
            <value>4000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>35</value>
            <value>4000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>33</value>
            <value>4000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>32</value>
            <value>4000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>34</value>
            <value>4000</value>
            <value>1808</value>
            <value>33333333</value>

            <value>35</value>
            <value>4000</value>
            <value>1808</value>
            <value>33333333</value>

            <value>33</value>
            <value>4000</value>
            <value>1808</value>
            <value>33333333</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>34</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>

            <value>35</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>

            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>33333333</value>

            <value>34</value>
            <value>3000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>35</value>
            <value>3000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>33</value>
            <value>3000</value>
            <value>3000</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>

            <value>35</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>33333333</value>

            <value>34</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>

            <value>35</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>

            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>

            <value>35</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>33333333</value>

            <value>34</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>

            <value>35</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>

            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>33333333</value>

            <value>34</value>
            <value>2388</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2388</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2388</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>

            <value>35</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>

            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>33333333</value>

            <value>34</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>

            <value>35</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>

            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2332</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2332</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2332</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2328</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2328</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2328</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>34</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1300</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1300</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1300</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>

            <value>35</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>

            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>33333333</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>

            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>

            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_STALL_DURATIONS" type="int64_t">
            <value>33</value>
            <value>4352</value>
            <value>2464</value>
            <value>55670784</value>

            <value>33</value>
            <value>4352</value>
            <value>1968</value>
            <value>69701632</value>

            <value>33</value>
            <value>4352</value>
            <value>1872</value>
            <value>52955136</value>

            <value>33</value>
            <value>4000</value>
            <value>3000</value>
            <value>78000000</value>

            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>57507840</value>

            <value>33</value>
            <value>4000</value>
            <value>1808</value>
            <value>47008000</value>

            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>53913600</value>

            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>51936768</value>

            <value>33</value>
            <value>3200</value>
            <value>2400</value>
            <value>24707072</value>

            <value>33</value>
            <value>3000</value>
            <value>3000</value>
            <value>58500000</value>

            <value>33</value>
            <value>2592</value>
            <value>1944</value>
            <value>32752512</value>

            <value>33</value>
            <value>2688</value>
            <value>1512</value>
            <value>26417664</value>

            <value>33</value>
            <value>2592</value>
            <value>1940</value>
            <value>32685120</value>

            <value>33</value>
            <value>2592</value>
            <value>1200</value>
            <value>20217600</value>

            <value>33</value>
            <value>2388</value>
            <value>1080</value>
            <value>16763760</value>

            <value>33</value>
            <value>2048</value>
            <value>1536</value>
            <value>20447232</value>

            <value>33</value>
            <value>1944</value>
            <value>1944</value>
            <value>24564384</value>

            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>10782720</value>

            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>17971200</value>

            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>13478400</value>

            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>17971200</value>

            <value>33</value>
            <value>2332</value>
            <value>1080</value>
            <value>16370640</value>

            <value>33</value>
            <value>2328</value>
            <value>1080</value>
            <value>16342560</value>

            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>12480000</value>

            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>7413120</value>

            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>7862400</value>

            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>10108800</value>

            <value>33</value>
            <value>1300</value>
            <value>1080</value>
            <value>9126000</value>

            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>8985600</value>

            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>7987200</value>

            <value>33</value>
            <value>1280</value>
            <value>768</value>
            <value>2995200</value>

            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>5990400</value>

            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>7637760</value>

            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>7581600</value>

            <value>33</value>
            <value>1024</value>
            <value>738</value>
            <value>4912128</value>

            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>5111808</value>

            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>4492800</value>

            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>2695680</value>

            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>3120000</value>

            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>2496000</value>

            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>5990400</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>2246400</value>

            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>3369600</value>

            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>1996800</value>

            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>1664000</value>

            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>1497600</value>

            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>2340000</value>

            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>658944</value>

            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>499200</value>

            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>164736</value>

            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>46858240</value>
        </tag>
        <tag key="HAL_CUSTOM_EXCLUSIVE_CAPTURE_STREAM_RESOLUTION_SUPPORT" type="uint8_t">
            <value>0</value>
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_ZOOM_RATIO_ADJUST_COEFFICIENTS" type="float">
            <value>1.100579f</value>
        </tag>
        <tag key="HAL_CUSTOM_QUADRA_SENSOR_FULL_AND_BINNING_SIZES" type="uint32_t">
            <value>8000</value>
            <value>6000</value>
            <value>4000</value>
            <value>3000</value>
        </tag>
        <tag key="HAL_REPROCESS_PRIVATE_HIRES_SEAMLESS_SUPPORTED" type="uint8_t">
            <value>0</value>
        </tag>
        <tag key="HAL_REPROCESS_PRIVATE_SEAMLESS_SCENE_SUPPORTED" type="int32_t">
            <value>0</value>
            <value>19</value>
            <value>23</value>
        </tag>
        <tag key="HAL_REPROCESS_PRIVATE_THUMBNAIL_SCENE_SUPPORTED" type="int32_t">
            <value>0</value>
            <value>4</value>
            <value>13</value>
            <value>53</value>
            <value>62</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_MAX_AGAIN_VALUE" type="uint32_t">
            <value>6400</value>
        </tag>
        <tag key="HAL_PRIVATE_AVAILABLE_SENSOR_CROP_SIZES" type="uint32_t">
            <value>1</value>
            <value>4000</value>
            <value>3000</value>
            <value>2</value>
            <value>4000</value>
            <value>3000</value>
            <value>4</value>
            <value>4000</value>
            <value>3000</value>
        </tag>
        <tag key="HAL_CUSTOM_AI_ULTRA_CLARITY_SIZE" type="int32_t">
            <value>8000</value>
            <value>6000</value>
        </tag>
        <tag key="HAL_REPROCESS_PRIVATE_SENSOR_HDRLAYER_JPEG_SIZES" type="int32_t">
            <value>2048</value>
            <value>1536</value>
            <value>1536</value>
            <value>1536</value>
            <value>2336</value>
            <value>1056</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_RECOMMENDED_STREAM_CONFIGURATIONS" type="int32_t">
            <value>4000</value>
            <value>3000</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>4096</value>
            <value>2160</value>
            <value>34</value>
            <value>1</value>
            <value>14</value>

            <value>4096</value>
            <value>1760</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>2332</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2332</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2328</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2328</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>3840</value>
            <value>2160</value>
            <value>34</value>
            <value>1</value>
            <value>14</value>

            <value>2160</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2160</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1920</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1920</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1440</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1440</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1080</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1080</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1584</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1584</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1680</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1680</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1280</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1280</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>960</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>960</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>720</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>720</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>720</value>
            <value>480</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>720</value>
            <value>480</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>640</value>
            <value>480</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>640</value>
            <value>480</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>640</value>
            <value>360</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>640</value>
            <value>360</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>600</value>
            <value>600</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>600</value>
            <value>600</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>320</value>
            <value>240</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>320</value>
            <value>240</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>176</value>
            <value>144</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>176</value>
            <value>144</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>
        </tag>
        <tag key="CAMERA_JPEG_AVAILABLE_THUMBNAIL_SIZES" type="int32_t">
            <value>0</value>
            <value>0</value>
            <value>176</value>
            <value>144</value>
            <value>256</value>
            <value>110</value>
            <value>240</value>
            <value>144</value>
            <value>240</value>
            <value>160</value>
            <value>256</value>
            <value>154</value>
            <value>246</value>
            <value>184</value>
            <value>240</value>
            <value>240</value>
            <value>320</value>
            <value>240</value>
        </tag>
    </StaticCap>
